#pragma once

#include <QtWidgets/QMainWindow>
#include "ui_clocktest.h"

#include "clockwidget.h"

class ClockTest : public QMainWindow
{
	Q_OBJECT

public:
	ClockTest( QWidget * parent = nullptr );
	~ClockTest();

private:
	Ui::ClockTestClass ui;

	std::shared_ptr<ClockWidget> clock_widget_; /* custom clock widget */
	std::shared_ptr<QLayout> clock_layout_; /* layout used for the clock widget */
};
